Bug 1023307 - Existing non-scalable app's app-deployments directory is missed after migration in INT
Existing non-scalable app's app-deployments directory is missed after migrati...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 03:37 EDT by Liang Xia
Modified: 2015-05-14 19:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:26:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lxia: needinfo-


Attachments (Terms of Use)

  None (edit)
Description Liang Xia 2013-10-25 03:37:29 EDT
Description of problem:
SSH into an existing non-scalable app after server migrate, can not find directory app-deployments.
And when pushing changes to the app (without jenkins), met following errors:
remote: Permission denied - /var/lib/openshift/5265019f03ef64022e00020b/app-deployments

Version-Release number of selected component (if applicable):
INT(devenv_3942)

How reproducible:
always

Steps to Reproduce:
1.create an app (without jenkins).
2.migrate the server.
3.SSH into the app and check whethere directory app-deployments exist.
4.make some change in the local repo and git push.

Actual results:
Step 3: 
[phpsqlmyadmin-aaa.int.rhcloud.com 5265019f03ef64022e00020b]\> ls
app-root  git  mysql  php  phpmyadmin

Step 4:
remote: Stopping PHPMyAdmin cartridge
remote: [Fri Oct 25 02:42:41 2013] [warn] PassEnv variable SHELL was undefined
remote: [Fri Oct 25 02:42:41 2013] [warn] PassEnv variable USER was undefined
remote: [Fri Oct 25 02:42:41 2013] [warn] PassEnv variable LOGNAME was undefined
remote: Waiting for stop to finish
remote: Stopping PHP cartridge
remote: [Fri Oct 25 02:42:42 2013] [warn] PassEnv variable SHELL was undefined
remote: [Fri Oct 25 02:42:42 2013] [warn] PassEnv variable USER was undefined
remote: [Fri Oct 25 02:42:42 2013] [warn] PassEnv variable LOGNAME was undefined
remote: Waiting for stop to finish
remote: Stopping MySQL cartridge
remote: Permission denied - /var/lib/openshift/5265019f03ef64022e00020b/app-deployments
To ssh://5265019f03ef64022e00020b@phpsqlmyadmin-aaa.int.rhcloud.com/~/git/phpsqlmyadmin.git/
   688db87..b83f85a  master -> master
   
Expected results:
Changes deployed successfully without errors.

Additional info:
The directory app-deployments shown in scalable apps.
[jbossews2s-lxiamigrate.int.rhcloud.com 5264c9876cec0e4ccb00036e]\> ls
app-deployments  app-root  cron  gear-registry    git  haproxy  jbossews    jenkins-client
Comment 1 Liang Xia 2013-10-25 06:14:26 EDT
Happens on INT(devenv_3942).
But does not met this on migration from devenv_stage to devenv_39##.
Comment 2 Liang Xia 2013-10-25 07:05:41 EDT
Happens on INT(devenv_3942).
But does not met this on migration from devenv-stage_528 to devenv_3944.
Comment 3 Jhon Honce 2013-10-25 11:16:21 EDT
Should this bug be closed? It appears to be fixed by your testing in later versions.
Comment 4 Liang Xia 2013-10-27 23:15:48 EDT
Still can NOT find the directory app-deployments on INT(devenv_3948).

[jbossews2-lxiamigrate.int.rhcloud.com 5264c51403ef642922000319]\> ls
app-root  cron	git  jbossews  jenkins-client  metrics	mongodb  mysql	phpmyadmin  postgresql	rockmongo
Comment 6 Liang Xia 2013-10-29 22:02:20 EDT
Checked on INT(devenv_3965), the directory app-deployments exist on each gear of my apps. Git push successfully and the changes are there.

Move to verified.

Note You need to log in before you can comment on or make changes to this bug.